Status: Closed Start date: 2011-03-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Hi everybody,

I know this is not a new request on this. There are a lot of issues asking for this feature, and I have read all, but it seems that there is

no official solution. I have tried rchady_redmine_importer and failed to import my issue list to Redmine. That's so disappointed for

such a nice application as Redmine. So, anybody can give me a solution, because it's already been 3 years from the first request and

there is still no way to do ?

Thanks,

Seri

Related issues:

Related to Redmine - Feature #3647: Data Import/Export System New 2009-07-21

Has duplicate Redmine - Feature #12247: How to import excel file to Redmine Closed

Is duplicate of Redmine - Feature #950: Import Issues from delimited/CSV file Closed 2008-03-29

History

#1 - 2011-03-16 11:03 - Etienne Massip

- Category set to Importers

#2 - 2011-03-25 05:36 - Ryan H

What are you looking for?  The basics - Tracker/Status/Subject/Description?

Ryan

Se Ri wrote:

Hi everybody,

I know this is not a new request on this. There are a lot of issues asking for this feature, and I have read all, but it seems that there is no official

solution. I have tried rchady_redmine_importer and failed to import my issue list to Redmine. That's so disappointed for such a nice application

as Redmine. So, anybody can give me a solution, because it's already been 3 years from the first request and there is still no way to do ?

Thanks,

Seri

#3 - 2011-04-25 06:15 - Se Ri

Hi Ryan,

Sorry for my late reply. What I need is a tool to import my list of issues from Excel files. Not only basic fields, but also custom fields. It's nice to have

this feature built-in (rather than as plugin) in future versions of Redmine.

Seri

#4 - 2013-05-08 16:55 - Bernhard Wangler

Hi everybody,

I would also request this feature. I have to import a whole bunch of predefined requirements and task from other tools into redmine.

What I need is a very simple CSV import for issues. Using a plug in for such a common and often used feature is too risky for me.
Thanks,

Bernhard

#5 - 2013-07-25 14:11 - Maik Lindner

I'ld love to see that feature also. Still no news on this? It would be great to import issues from an excel sheet. Is there any other solution?

#6 - 2013-07-26 11:58 - Thomas Godard

- File Mail.java added

As Redmine is now, the best way to import properly issues with no knowledge of ruby nor rails is to use the import via e-mail.

I did my migration at the beginning of the week like this. I created a small JAVA script which reads my excel sheet and automatically creates and

sends e-mails as Redmine needs them.

My migration took me 3 days to import my nearly 7000 issues with more than 2.5 GB of attachments (total).

Here is my JAVA code. I have translated it in English and simplified it at best. Some errors might have been created during the modification. Some

improvements can be done.

To improve performance, only use this script for 200 lines at once. More lines could cause Redmine import to create issues twice.

I found some mistakes in code. Please do not consider those lines :

                for (k = 1; k <= 16; k++) {

                    CHEMINCell[k][j] = CHEMINSheet.getCell(k, j);

                    CHEMINString[k][j] = CHEMINCell[k][j].getContents();

                }

 Also remove quotes at the end of the line :

String body = "description\n " + wbString[1][j] + "\nproject: " + wbString[2][j] + ... + "\nLot: " + wbString[

3][j]";

#7 - 2013-09-19 08:30 - Lubos Racansky

What an unpleasant surprise! Doesn't redmine really support the import feature out of the box? I've found just only ruby script.

#8 - 2013-09-19 08:37 - Lubos Racansky

Lubos Racansky wrote:

What an unpleasant surprise! Doesn't redmine really support the import feature out of the box? I've found just only ruby script.

 Or you have to write your own call of REST API

#9 - 2013-09-27 10:46 - Lubos Racansky

Here there is a plugin, but it seems quite outdated http://www.redmine.org/plugins/importer

#10 - 2013-10-01 03:55 - Juan Fernandez

Hi,

I just created a Configurable PHP CLI tool that uses the API to import CSV as Issues, with custom Fields. Other types of objects can also be added.

just extending EntityPopulator\Entities\Entity with a class who´s name matches the API.

just clone it from github and run composer install to fetch dependencies.

https://github.com/juanmf/RedmineIssueImporter

Best,

Juan

#11 - 2013-11-18 21:46 - Maxim Krušina

+1
http://www.redmine.org/attachments/download/10325/import_from_csv.rake
http://www.redmine.org/attachments/download/10325/import_from_csv.rake
http://www.redmine.org/projects/redmine/wiki/Rest_Issues
http://www.redmine.org/plugins/importer
https://github.com/juanmf/RedmineIssueImporter


#12 - 2014-07-28 17:51 - Lu Pon

+1

#13 - 2014-08-26 13:55 - Toshi MARUYAMA

- Related to Feature #3647: Data Import/Export System added

#14 - 2015-08-14 10:21 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Same as #950 implemented for 3.2.0.

#15 - 2015-08-14 10:21 - Jean-Philippe Lang

- Is duplicate of Feature #950: Import Issues from delimited/CSV file added

Files

Mail.java 6.62 KB 2013-07-26 Thomas Godard
